## usplash 0.4-33

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
CPPFLAGS=-D_GNU_SOURCE
INCLUDES=-Ibogl

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


TARGETS = usplash usplash_write

ifeq ($(BACKEND), svga)
	BACKEND_dir = bogl svgalib
	usplash_BACKEND = usplash_svga.o usplash_bogl.o
	usplash_BACKEND_LIBS = svgalib/staticlib/libvgagl.a svgalib/staticlib/libvga.a bogl/libbogl.a
	CFLAGS += -DSVGA
else
	BACKEND_dir = bogl
	usplash_BACKEND = usplash_bogl.o
	usplash_BACKEND_LIBS = bogl/libbogl.a
endif

all: $(BACKEND_dir) $(TARGETS)

libusplash_OBJECTS = libusplash.o usplash-testcard.o usplash-testcard-theme.o $(usplash_BACKEND) bogl/helvB10.o
usplash_LIBS = 

usplash: libusplash.so usplash.c
	$(COMPILE) -c usplash.c -o usplash.o
	$(LINK) -o $@ usplash.o -L. -lusplash

libusplash.so: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
	$(CC) -shared -o $@ $^ -ldl

usplash_write_OBJECTS = usplash_write.o

usplash_write: $(usplash_write_OBJECTS)
	$(LINK) -o $@ $^


bogl:
	$(MAKE) -C bogl

svgalib:
	$(MAKE) -C svgalib

.c.o:
	$(COMPILE) -o $@ -c $<

.png.c:
	./bogl/pngtobogl $< > $@

.bdf.c:
	./bogl/bdftobogl $< > $@


install:
	$(INSTALL) -d $(DESTDIR)/sbin $(DESTDIR)/lib $(DESTDIR)/usr/include $(DESTDIR)/usr/bin
	$(INSTALL_PROGRAM) usplash $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) usplash_write $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) usplash_down $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) libusplash.so $(DESTDIR)/lib/libusplash.so.0
	ln -sf /lib/libusplash.so.0 $(DESTDIR)/lib/libusplash.so
	$(INSTALL_PROGRAM) bogl/pngtobogl $(DESTDIR)/usr/bin/pngtousplash
	$(INSTALL_PROGRAM) bogl/bdftobogl $(DESTDIR)/usr/bin/bdftousplash
	$(INSTALL_DATA) usplash-theme.h $(DESTDIR)/usr/include/usplash-theme.h
	$(INSTALL_DATA) usplash_backend.h $(DESTDIR)/usr/include/usplash_backend.h
	$(INSTALL_DATA) libusplash.h $(DESTDIR)/usr/include/libusplash.h

clean:
	-$(MAKE) -C bogl clean
	-$(MAKE) -C svgalib clean
	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so
	-rm -f *~	
	-rm -f *.o


.PHONY: all bogl svgalib install clean
.SUFFIXES: .png .bdf

=== example-theme/Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

eft-theme.so: eft_1024_576_cropped.png.c.o eft_1024_768.png.c.o eft_800_600.png.c.o throbber_fore.png.c.o throbber_back.png.c.o eft-theme.c.o helvB10.bdf.c.o
	$(COMPILE) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/lib/usplash
	$(INSTALL_PROGRAM) eft-theme.so $(DESTDIR)/usr/lib/usplash/eft-theme.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== svgalib/src/Makefile ===
#----------------------------------------------------------------------
# Makefile for the main svgalib source.
#----------------------------------------------------------------------

# *** NO SERVICIBLE PARTS HERE!
#     All options are in Makefile.cfg.

include ../Makefile.cfg

srcdir    = ..
VPATH     = $(srcdir)/src

#----------------------------------------------------------------------
# Compiler Section (overrides Makefile.cfg)
#----------------------------------------------------------------------

INCLUDES += -I$(srcdir)/src -I$(srcdir)/src/config

#----------------------------------------------------------------------
# Rules Section
#----------------------------------------------------------------------

DRIVERS = vgadrv.o modetab.o
MODULES = vga.o \
          vgadraw.o vgaclear.o vgaline.o vgapix.o \
          vgapal.o vgacol.o vgamodesel.o vgamisc.o \
	  vgadump.o vgaconvplanar.o vgaaccel.o \
	  timing.o vgaregs.o interface.o accel.o \
	  vgabgpage.o vgabgvt.o vgapci.o
ifeq (y, $(NO_ASM))
  X86EMU = x86-common.o thunk.o x86emu/sys.o x86emu/debug.o x86emu/decode.o x86emu/fpu.o x86emu/ops2.o x86emu/ops.o x86emu/prim_ops.o
  SUBDIRS = x86emu
else
  X86EMU = x86-common.o lrmi.o
endif

# defines for all files.
ifeq (y, $(NO_ASM))
  DEFINES += -DNO_ASSEMBLY
endif
ifdef SVGALIB_CONFIG_FILE
  DEFINES += -DSVGALIB_CONFIG_FILE=\"$(SVGALIB_CONFIG_FILE)\"
endif
ifdef ALLOW_MOUSE_OVERRIDE
  DEFINES += -DALLOW_MOUSE_OVERRIDE
endif
ifdef DEBUG_ACCEL
  DEFINES += -DDEBUG_ACCEL
endif
ifdef DEBUG_KEYBOARD
  DEFINES += -DDEBUG_KEYBOARD
endif
ifdef BACKGROUND
  DEFINES += -DBACKGROUND=1
endif
ifeq (a.out, $(TARGET_FORMAT))
  DEFINES += -DSVGA_AOUT
endif

# defines for vga.c only.
ifdef ROOT_VC_SHORTCUT
  VGA_DEFINES += -DROOT_VC_SHORTCUT
endif

ifdef DEBUG_CONF
  DEFINES += -DDEBUG_CONF
endif

ifdef INCLUDE_ET4000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET4000_DRIVER
  DRIVERS += et4000.o vgahico.o 
  ifdef INCLUDE_ET4000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET4000_DRIVER_TEST
  endif
  ifdef ET4000_REGS
    DEFINES += -DET4000_REGS=\"$(ET4000_REGS)\"
  endif
  ifdef USE_CLOCKS
    DEFINES += -DUSE_CLOCKS
  endif
endif
ifdef INCLUDE_CIRRUS_DRIVER
  VGA_DEFINES += -DINCLUDE_CIRRUS_DRIVER
  DRIVERS += cirrus.o
  ifdef INCLUDE_CIRRUS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_CIRRUS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_TVGA_DRIVER
  VGA_DEFINES += -DINCLUDE_TVGA_DRIVER
  DRIVERS += tvga8900.o
  ifdef INCLUDE_TVGA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_TVGA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_OAK_DRIVER
  VGA_DEFINES += -DINCLUDE_OAK_DRIVER
  DRIVERS += oak.o
  ifdef INCLUDE_OAK_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_OAK_DRIVER_TEST
  endif
endif
ifdef INCLUDE_EGA_DRIVER
  VGA_DEFINES += -DINCLUDE_EGA_DRIVER
  DRIVERS += egadrv.o
  ifdef INCLUDE_EGA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_EGA_DRIVER_TEST
  endif
  ifdef EGA_REGS
    DEFINES += -DEGA_REGS=\"$(EGA_REGS)\"
  endif
endif
ifdef INCLUDE_MACH32_DRIVER
  VGA_DEFINES += -DINCLUDE_MACH32_DRIVER
  DRIVERS += mach32.o
  ifdef INCLUDE_MACH32_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MACH32_DRIVER_TEST
  endif
endif
ifdef INCLUDE_S3_DRIVER
  VGA_DEFINES += -DINCLUDE_S3_DRIVER
  DRIVERS += s3.o
  ifdef INCLUDE_S3_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_S3_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ET3000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET3000_DRIVER
  DRIVERS += et3000.o
  ifdef INCLUDE_ET3000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET3000_DRIVER_TEST
  endif
endif
ifdef INCLUDE_GVGA6400_DRIVER
  VGA_DEFINES += -DINCLUDE_GVGA6400_DRIVER
  DRIVERS += gvga6400.o
  ifdef INCLUDE_GVGA6400_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_GVGA6400_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ARK_DRIVER
  VGA_DEFINES += -DINCLUDE_ARK_DRIVER
  DRIVERS += ark.o
  ifdef INCLUDE_ARK_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ARK_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ATI_DRIVER
  VGA_DEFINES += -DINCLUDE_ATI_DRIVER
  DRIVERS += ati.o
  ifdef INCLUDE_ATI_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ATI_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ALI_DRIVER
  VGA_DEFINES += -DINCLUDE_ALI_DRIVER
  DRIVERS += ali.o
  ifdef INCLUDE_ALI_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ALI_DRIVER_TEST
  endif
endif
ifdef INCLUDE_MACH64_DRIVER
  VGA_DEFINES +=-DINCLUDE_MACH64_DRIVER
  DRIVERS += mach64.o
  ifdef INCLUDE_MACH64_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MACH64_DRIVER_TEST
  endif
endif
ifdef INCLUDE_CHIPS_DRIVER
  VGA_DEFINES +=-DINCLUDE_CHIPS_DRIVER
  DRIVERS += chips.o
  ifdef INCLUDE_CHIPS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_CHIPS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_APM_DRIVER
  VGA_DEFINES +=-DINCLUDE_APM_DRIVER
  DRIVERS += apm.o
  ifdef INCLUDE_APM_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_APM_DRIVER_TEST
  endif
endif
ifdef INCLUDE_VESA_DRIVER
  VGA_DEFINES +=-DINCLUDE_VESA_DRIVER
  DRIVERS += vesa.o
  ifdef INCLUDE_VESA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_VESA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_NV3_DRIVER
  VGA_DEFINES +=-DINCLUDE_NV3_DRIVER
  DRIVERS += nv3.o
  ifdef INCLUDE_NV3_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_NV3_DRIVER_TEST
  endif
endif
ifdef INCLUDE_G400_DRIVER
  VGA_DEFINES +=-DINCLUDE_G400_DRIVER
  DRIVERS += g400.o
  ifdef INCLUDE_G400_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_G400_DRIVER_TEST
  endif
endif
ifdef INCLUDE_R128_DRIVER
  VGA_DEFINES +=-DINCLUDE_R128_DRIVER
  DRIVERS += r128.o
  ifdef INCLUDE_R128_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_R128_DRIVER_TEST
  endif
endif
ifdef INCLUDE_MX_DRIVER
  VGA_DEFINES +=-DINCLUDE_MX_DRIVER
  DRIVERS += mx.o
  ifdef INCLUDE_MX_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MX_DRIVER_TEST
  endif
endif
ifdef INCLUDE_SAVAGE_DRIVER
  VGA_DEFINES +=-DINCLUDE_SAVAGE_DRIVER
  DRIVERS += savage.o
  ifdef INCLUDE_SAVAGE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_SAVAGE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_PARADISE_DRIVER
  VGA_DEFINES +=-DINCLUDE_PARADISE_DRIVER
  DRIVERS += paradise.o
  ifdef INCLUDE_PARADISE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_PARADISE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_RAGE_DRIVER
  VGA_DEFINES +=-DINCLUDE_RAGE_DRIVER
  DRIVERS += rage.o
  ifdef INCLUDE_RAGE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_RAGE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_BANSHEE_DRIVER
  VGA_DEFINES +=-DINCLUDE_BANSHEE_DRIVER
  DRIVERS += banshee.o
  ifdef INCLUDE_BANSHEE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_BANSHEE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_SIS_DRIVER
  VGA_DEFINES +=-DINCLUDE_SIS_DRIVER
  DRIVERS += sis.o
  ifdef INCLUDE_SIS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_SIS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_I740_DRIVER
  VGA_DEFINES +=-DINCLUDE_I740_DRIVER
  DRIVERS += i740.o
  ifdef INCLUDE_I740_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_I740_DRIVER_TEST
  endif
endif
ifdef INCLUDE_LAGUNA_DRIVER
  VGA_DEFINES +=-DINCLUDE_LAGUNA_DRIVER
  DRIVERS += laguna.o
  ifdef INCLUDE_LAGUNA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_LAGUNA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ET6000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET6000_DRIVER
  DRIVERS += et6000.o
  ifdef INCLUDE_ET6000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET6000_DRIVER_TEST
  endif
endif
ifdef INCLUDE_NEO_DRIVER
  VGA_DEFINES += -DINCLUDE_NEO_DRIVER
  DRIVERS += neo.o
  ifdef INCLUDE_NEO_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_NEO_DRIVER_TEST
  endif
endif
ifdef INCLUDE_FBDEV_DRIVER
  VGA_DEFINES += -DINCLUDE_FBDEV_DRIVER
  DRIVERS += fbdev.o
  ifdef INCLUDE_FBDEV_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_FBDEV_DRIVER_TEST
  endif
endif

# DYNAMIC is used by both ET drivers.
ifdef DYNAMIC
  ifdef INCLUDE_ET6000_DRIVER
    DEFINES += -DDYNAMIC
  else
    ifdef INCLUDE_ET4000_DRIVER
      DEFINES += -DDYNAMIC
    endif
  endif
endif

# defines for ramdac.c, ramdac.h (and files including it) only.
ifdef INCLUDE_NORMAL_DAC
  RAMDAC_DEFINES += -DINCLUDE_NORMAL_DAC
  ifdef INCLUDE_NORMAL_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_NORMAL_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_SDAC_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_SDAC_DAC
  ifdef INCLUDE_S3_SDAC_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_SDAC_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_GENDAC_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_GENDAC_DAC
  ifdef INCLUDE_S3_GENDAC_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_GENDAC_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_TRIO64_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_TRIO64_DAC
  ifdef INCLUDE_S3_TRIO64_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_TRIO64_DAC_TEST
  endif
endif
ifdef INCLUDE_SIERRA_DAC
  RAMDAC_DEFINES += -DINCLUDE_SIERRA_DAC
  ifdef INCLUDE_SIERRA_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SIERRA_DAC_TEST
  endif
endif
ifdef INCLUDE_SC15025_DAC
  RAMDAC_DEFINES += -DINCLUDE_SC15025_DAC
  ifdef INCLUDE_SC15025_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SC15025_DAC_TEST
  endif
endif
ifdef INCLUDE_ATT20C490_DAC
  RAMDAC_DEFINES += -DINCLUDE_ATT20C490_DAC
  ifdef INCLUDE_ATT20C490_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ATT20C490_DAC_TEST
  endif
endif
ifdef INCLUDE_ATT20C498_DAC
  RAMDAC_DEFINES += -DINCLUDE_ATT20C498_DAC
  ifdef INCLUDE_ATT20C498_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ATT20C498_DAC_TEST
  endif
endif
ifdef INCLUDE_ICW_DAC
  RAMDAC_DEFINES += -DINCLUDE_ICW_DAC
  ifdef INCLUDE_ICW_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ICW_DAC_TEST
  endif
endif
ifdef INCLUDE_IBMRGB52x_DAC
  RAMDAC_DEFINES += -DINCLUDE_IBMRGB52x_DAC
  ifdef INCLUDE_IBMRGB52x_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_IBMRGB52x_DAC_TEST
  endif
endif
ifdef INCLUDE_SC1148X_DAC
  RAMDAC_DEFINES += -DINCLUDE_SC1148X_DAC
  ifdef INCLUDE_SC1148X_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SC1148X_DAC_TEST
  endif
endif

ALLOBJS = $(MODULES) $(MOUSE) $(JOYSTICK) $(KEYBOARD) $(RAMDAC) $(CLOCKCHIP) $(DRIVERS) $(X86EMU)

.c.o:
	$(CC) $(CFLAGS) -g -c -o $*.o $<

.c.s:
	$(CC) $(CFLAGS) -S -o $*.s $<

.PHONY:	all dep depadd clean install FORCE



ifeq (a.out, $(TARGET_FORMAT))

all:	libvga.a

else                                                               

all:	libvga.so.$(VERSION)

# These rules are for ELF only.
libvga.so.$(VERSION): $(ALLOBJS)
	$(CC) -s -shared -Wl,-soname,libvga.so.$(MAJOR_VER) \
	  -o libvga.so.$(VERSION) $(ALLOBJS) $(SHLIBLIBS) -lm
	ln -sf libvga.so.$(VERSION) libvga.so
	ln -sf libvga.so.$(VERSION) libvga.so.$(MAJOR_VER)

$(sharedlibdir)/libvga.so.$(VERSION): libvga.so.$(VERSION)
	$(INSTALL_PROGRAM) $< $(sharedlibdir)/$<

install: $(sharedlibdir)/libvga.so.$(VERSION)
	cp -df sharedlib/libvga.so $(sharedlibdir)/
	cp -df sharedlib/libvga.so.$(MAJOR_VER) $(sharedlibdir)/

endif	  

libvga.a: $(ALLOBJS)
	rm -f libvga.a
	$(AR) rcs libvga.a $(ALLOBJS)

libvgagl.a: FORCE
	make -f $(srcdir)/gl/Makefile $@ srcdir="$(srcdir)" DLLFLAGS="$(DLLFLAGS)"

vga.o: vga.c
	$(CC) $(CFLAGS) $(VGA_DEFINES) -c -o $@ $<

# XXX: Upstream used this so it may break, disabled to close an RC
# lrmi must NOT be compiled as -fPIC
lrmi.o: lrmi.c
	$(CC) $(CFLAGS) -c -o $@ $<
#	$(CC) $(CFLAGS:-fPIC=) -c -o $@ $<

$(RAMDAC): %.o: %.c
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $<

s3.o ark.o: %.o: %.c
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $<

nucleus.o: %.o: %.c 
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $< scitech.o

$(MODULES): .depend.src

dep:
	rm -f .depend.src
	make .depend.src

.depend.src:
	echo '# Module dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(MODULES)) >>.depend.src

clean:
	rm -f .depend.src *~ *.o mouse/*.o keyboard/*.o mouse/*~ keyboard/*~ \
		ramdac/*.o clockchip/*.o ramdac/*~ clockchip/*~ \
		libvga.a libvga.so.$(VERSION) *.bak */*.bak

FORCE: # dummy target.

#
# include a dependency file if one exists
#
ifeq (.depend.src,$(wildcard .depend.src))
include .depend.src
endif

=== debian/changelog ===
usplash (0.4-33) edgy; urgency=low

  * Fix usplash_down to avoid passing X and Y resolution to usplash on amd64
    (see changelog for 0.4-32; closes: Malone #66732).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 18:36:13 +0100

usplash (0.4-32) edgy; urgency=low

  [ Matthew Garrett ]
  
  * Update the x86emu code - should fix all sorts of amd64 bugs
  * Update the resolution matching code
  * Fix colour conversion in usplash_svga_put_part.  Malone: #64171
  
  [ Tollef Fog Heen ]
  * Add blatant lie to usplash-testcard-theme.c telling that a 640x400
    theme is a 16:9 theme.
  * Use bogl backend on amd64.  Malone: #56587
  * Don't pass X and Y resolution to usplash on AMD64, since we're using
    bogl and vga16fb there now.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 17 Oct 2006 02:30:03 +0200

usplash (0.4-31) edgy; urgency=low

  * Attempt to clean up broken artwork alternatives mess by forcing it to auto
    if upgrading from pre-0.4-31 and the target does not exist
    (Closes: LP#61313)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 30 Sep 2006 10:59:21 -0700

usplash (0.4-30) edgy; urgency=low

  * Don't use palette-based modes by default on vesa - not all hardware
    bothers to implement them
  * Don't save VBE state - we don't use it, and it makes nvidia users
    cry
  * Add more input updates from David
  * Add framebuffer support to svga builds - if a framebuffer is
    available, we'll attempt to use it
  * Restore original palette if appropriate
  * Fall back to lower modes if we're not successful at setting the
    first one

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 29 Sep 2006 01:49:28 +0100

usplash (0.4-29) edgy; urgency=low

  * Don't set the TIMEOUT to 0 in usplash_down, that doesn't do what
    somebody thought it did ...

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 21 Sep 2006 05:14:27 +0100

usplash (0.4-28) edgy; urgency=low

  * Do not flip back to the saved vt on termination, as the console
    messages are actually on vt8 underneath usplash!

  * Clear vt8 before quitting usplash so the font change isn't shown and
    the screen doesn't flicker too much.  Ubuntu: #61529.
  * Allow gdm, kdm, etc. to pass DO_NOT_SWITCH_VT=yes so we don't chvt
    after setting up the console (we can set it up on vt8 just fine).

  * This also means X is started from vt8, so doesn't flip back to vt1
    on termination, killing usplash.  Ubuntu: #61522.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 21 Sep 2006 04:38:04 +0100

usplash (0.4-27) edgy; urgency=low

  * Add TEXT-URGENT command which is always drawn.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 20 Sep 2006 14:47:32 +0200

usplash (0.4-26) edgy; urgency=low

  [ Matthew Garrett ]
  * Add libusplash.h to usplash-dev

  [ Colin Watson ]
  * Invoke usplash without -x and -y arguments if /etc/usplash.conf is
    missing or if either xres or yres is set to 0.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 20:29:12 +0100

usplash (0.4-25) edgy; urgency=low

  * Exit immediately if no theme is found that fits in the specified
    resolution.
  * Always check whether /etc/usplash.conf exists, and set it up if it
    doesn't. This allows ubiquity to remove usplash.conf and reconfigure
    usplash to configure usplash for the current system.
  * We can't open /dev/console or /dev/tty* when restoring the console on
    exit, because the initramfs has gone away. Instead, hold file
    descriptors open to these.
  * Use 'setupcon --force' in init script, since we don't have a tty
    (closes: Malone #60357).
  * Add #DEBHELPER# sections to postinst and postrm (closes: Malone #58559).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Sep 2006 18:58:22 +0100

usplash (0.4-24) edgy; urgency=low

  * Fix various compiler warnings.
  * Fix incorrect width/height used by usplash_put_part in BOGL backend.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Sep 2006 15:58:31 +0100

usplash (0.4-23) edgy; urgency=low

  * Discard errors while checking for setupcon.
  * Teach BOGL about 256-colour palettes.
  * Teach BOGL backend how to set resolution (closes: Malone #59628).
  * Suppress errors if /dev/tty[1-8] already exist (closes: Malone #59640).
  * Typographical improvements to manual pages.
  * Suppress usplash_write error if /dev/.initramfs doesn't exist yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Sep 2006 10:42:12 +0100

usplash (0.4-22) edgy; urgency=low

  * Install usplash_down

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  8 Sep 2006 15:10:07 -0700

usplash (0.4-21) edgy; urgency=low

  * Integrate further theming patches

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  8 Sep 2006 21:09:18 +0100

usplash (0.4-20dennis) edgy; urgency=low

  * SUPPORT themes that link in their own fonts. Do not REQUIRE them to do
    that.
  * Fix example

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Fri,  8 Sep 2006 20:43:20 +0200

usplash (0.4-20) edgy; urgency=low

  * Use setupcon if available instead of /etc/init.d/console-screen.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 23:54:15 +0100

usplash (0.4-19) edgy; urgency=low

  * Don't clear tty1, it might have important stuff sitting on it.

 -- Scott James Remnant <scott@ubuntu.com>  Thu,  7 Sep 2006 21:33:38 +0100

usplash (0.4-18) edgy; urgency=low

  * Fix nasty race between the signal handler and the VT switching code 
    as to who was supposed to be restoring text mode

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu,  7 Sep 2006 14:13:55 +0100

usplash (0.4-17dennis) edgy; urgency=low

  * Support multiple themes per file in a linked list. Themes can be tagged
    with USPLASH_4_3 or USPLASH_16_9 -- the latter is to indicate a cropped
    widescreen theme. Automatically select the best fitting theme, given -x
    and -y parameters or use the first theme in the list if no -x/-y parameter
  * TIMEOUT wasn't working due to a thinko. Removed gettimeofday in favor of
    simply counting cycles.



=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.0), libgd2-dev, libpng-dev

Package: usplash
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: usplash-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme, including an
 example

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the usplash package.
# Copyright © 2006 Canonical Ltd.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386))
	BACKEND = "BACKEND=svga"
else
	BACKEND =
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) $(BACKEND)

	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Ship initramfs hooks and scripts
	install -d $(CURDIR)/debian/tmp/usr/share/initramfs-tools
	cp -a initramfs/* $(CURDIR)/debian/tmp/usr/share/initramfs-tools 
	chmod a+x $(CURDIR)/debian/tmp/usr/share/initramfs-tools/scripts/init-top/*

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_install --sourcedir=debian/tmp
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinit -r --no-start -- start 98 2 3 4 5 . stop 01 0 1 6 .
	dh_link
	dh_strip
	dh_compress -X example
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean


.PHONY: build install binary-indep binary-arch binary clean

## usplash 0.4-44

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,13 @@
 
 TARGETS = usplash usplash_write
 
+usplash_BACKEND_LDFLAGS = -ldl
+
 ifeq ($(BACKEND), svga)
 	BACKEND_dir = bogl svgalib
 	usplash_BACKEND = usplash_svga.o usplash_bogl.o
 	usplash_BACKEND_LIBS = svgalib/staticlib/libvgagl.a svgalib/staticlib/libvga.a bogl/libbogl.a
+	usplash_BACKEND_LDFLAGS += -lx86
 	CFLAGS += -DSVGA
 else
 	BACKEND_dir = bogl
@@ -30,12 +33,13 @@
 libusplash_OBJECTS = libusplash.o usplash-testcard.o usplash-testcard-theme.o $(usplash_BACKEND) bogl/helvB10.o
 usplash_LIBS = 
 
-usplash: libusplash.so usplash.c
+usplash: libusplash.so.0 usplash.c
 	$(COMPILE) -c usplash.c -o usplash.o
 	$(LINK) -o $@ usplash.o -L. -lusplash
 
-libusplash.so: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
-	$(CC) -shared -o $@ $^ -ldl
+libusplash.so.0: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
+	$(CC) -Wl,-soname=$@ -shared -o $@ $^ $(usplash_BACKEND_LDFLAGS)
+	ln -s $@ libusplash.so
 
 usplash_write_OBJECTS = usplash_write.o
 
@@ -64,7 +68,7 @@
 	$(INSTALL_PROGRAM) usplash $(DESTDIR)/sbin
 	$(INSTALL_PROGRAM) usplash_write $(DESTDIR)/sbin
 	$(INSTALL_PROGRAM) usplash_down $(DESTDIR)/sbin
-	$(INSTALL_PROGRAM) libusplash.so $(DESTDIR)/lib/libusplash.so.0
+	$(INSTALL_PROGRAM) libusplash.so.0 $(DESTDIR)/lib/libusplash.so.0
 	ln -sf /lib/libusplash.so.0 $(DESTDIR)/lib/libusplash.so
 	$(INSTALL_PROGRAM) bogl/pngtobogl $(DESTDIR)/usr/bin/pngtousplash
 	$(INSTALL_PROGRAM) bogl/bdftobogl $(DESTDIR)/usr/bin/bdftousplash
@@ -75,7 +79,7 @@
 clean:
 	-$(MAKE) -C bogl clean
 	-$(MAKE) -C svgalib clean
-	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so
+	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so*
 	-rm -f *~	
 	-rm -f *.o

=== debian/changelog ===
usplash (0.4-44) feisty; urgency=low

  [ Colin Watson ]
  * Add XS-Vcs-Bzr field to debian/control.

  [ Martin Pitt ]
  * add debian/usplash.py: Apport package hook to check whether a crash
    happened in run_vm86(), which means a crash in the BIOS. We do not want
    crash reports about those, because they are useless. (LP: #94911)
  * debian/usplash.install: Install that hook into
    /usr/share/apport/package-hooks/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  2 Apr 2007 15:04:31 +0200

usplash (0.4-43) feisty; urgency=low

  [ Ben Collins ]
  * Fix two serious bugs in handle_input:
    - It was free()ing a stack allocated char array.
    - Initialize fifo_outfd to -1 so we can conditionally close() it only
      when it was valid. In the INPUTENTER path, it would close() on an
      uninitialized value in fifo_outfd, causing all sorts of unpredictable
      problems.
  * Do not skip over writing to fifo_outfd in handle_input for INPUTENTER.
    Because of this, users of INPUTENTER could not block on the outfd to see
    when enter was actually pressed by the user.

  [ Colin Watson ]
  * Fix the init script to shut down usplash even if CONSOLE_SCREEN is empty
    (LP: #86606).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Feb 2007 12:31:39 +0000

usplash (0.4-42) feisty; urgency=low

  * Add Conflicts and Replaces: usplash-dev on libusplash-dev.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 10 Feb 2007 09:15:50 +0100

usplash (0.4-41) feisty; urgency=low

  * Add Replaces: usplash << 0.4-40 to libusplash0.  LP: #84284.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 10 Feb 2007 09:11:04 +0100

usplash (0.4-40) feisty; urgency=low

  * Split libusplash into its own little package to avoid having the -dev
    package depend on usplash itself.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  9 Feb 2007 14:15:54 +0100

usplash (0.4-39) feisty; urgency=low

  * Make usplash-dev depend on usplash.
  * Use a proper soname for usplash.
  * Install libusplash.so in /usr/lib and move it to usplash-dev.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  9 Feb 2007 12:24:02 +0100

usplash (0.4-38) feisty; urgency=low

  * Fix typo in usplash_write(8).
  * Only link libusplash.so against libx86, not usplash or usplash_write
    (LP: #83878).
  * Remove redundant debian/usplash.dirs and debian/usplash-dev.dirs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Feb 2007 10:21:56 +0000

usplash (0.4-37) feisty; urgency=low

  * Add brltty to the prerequisites of usplash's init-top script; if
    installed, it needs to run before usplash starts.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 17:25:06 +0000

usplash (0.4-36) feisty; urgency=low

  * Fix path in example theme Makefile (LP: #73005).
  * Depend on debconf.
  * Update usplash_write(8) to document TEXT-URGENT and PULSATE.
  * Switch to libx86, fixing svgalib on amd64 (LP: #67545).
  * Don't fall over if the bogl backend can't set the resolution, which
    won't be possible on several framebuffer implementations (LP: #81413).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 09:55:13 +0000

usplash (0.4-35) feisty; urgency=low

  * Add the new console-setup initramfs hook as a prerequisite rather than
    running setupcon after shutting down usplash.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jan 2007 14:27:46 +0000

usplash (0.4-34) feisty; urgency=low

  [ Matthew Garrett ]
  * Split out input handling code so usplash_get_string can be exported
  * Fix up resetting of text mode
  * Don't poke the VGA palette registers in non-8bpp depths

  [ Tollef Fog Heen ]
  * Make usplash_setup look at the config file for default resolution.

  [ Colin Watson ]
  * Tell setupcon to set up only the font; the keyboard can be set up while
    usplash is running.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jan 2007 09:34:30 +0000

=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.0), libgd2-dev, libpng-dev, libx86-dev [amd64 i386]
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/usplash/ubuntu

Package: usplash
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.40ubuntu30)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: libusplash0
Architecture: any
Depends: ${shlibs:Depends}
Replaces: usplash (<< 0.4-40)
Description: userspace bootsplash library
 This package contains the runtime library for the usplash package.

Package: libusplash-dev
Architecture: any
Conflicts: usplash-dev
Replaces: usplash-dev
Depends: ${shlibs:Depends}, libusplash0 (= ${source:Version})
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme,
 including an example

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	CFLAGS += -Os
 endif
 
-ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386))
+ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386 amd64))
 	BACKEND = "BACKEND=svga"
 else
 	BACKEND =

## usplash 0.5.7

=== debian/changelog ===
usplash (0.5.7) gutsy; urgency=low

  * usplash_svga.c, usplash_svga_text(): When running in 16bpp mode,
    calling gl_setpixel() (which takes a palette index) does not make sense,
    since we never set a palette (this happens only in 8bpp modes). Use
    gl_setpixelrgb() in 16bpp mode and look up the RGB values from
    vesa_palette, which is initialized from the theme. 

    This repairs operation on i386 and amd4 where SGVA is used, so that text
    appears in the color set by the theme, instead of being fixed to dark blue.
    (LP: #64408)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Oct 2007 11:22:21 +0200

usplash (0.5.6) gutsy; urgency=low

  * Add dh_makeshlibs call to debian/rules.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 01 Oct 2007 11:43:19 +0200

usplash (0.5.5) gutsy; urgency=low

  * Make the build behave the same on lpia as it does on i386 and amd64.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Aug 2007 02:11:43 +1000

usplash (0.5.4) gutsy; urgency=low

  * debian/control: libgd2-*-dev no longer provide libgd2-dev, but
    rather libgd-dev; adjust build-dependencies accordingly.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue,  7 Aug 2007 11:35:20 +1000

usplash (0.5.3) gutsy; urgency=low

  * usplash_down: Write our PID to /var/run/sendsigs.omit, so the new
    sysvinit/killall5 won't kill us on shutdown, and we don't flicker.
  * usplash_down: Exit if we're already running, one usplash is enough.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue,  7 Aug 2007 04:18:58 +1000

usplash (0.5.2) gutsy; urgency=low

  * Don't break on purge if /etc/usplash.conf doesn't exist (e.g. usplash
    didn't get properly configured).
  * ensure_console doesn't need to be part of libusplash's ABI; don't export
    it.
  * Save the console font before switching to graphics mode, and restore it
    when switching back to text mode (LP: #91422).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jun 2007 10:43:03 +0100

usplash (0.5.1) gutsy; urgency=low

  * Fix postinst upgrade checks to avoid triggering on fresh installs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 May 2007 22:59:31 +0100

usplash (0.5.0) gutsy; urgency=low

  * Add an update-usplash-theme script to do the necessary
    update-alternatives and update-initramfs in one shot.
  * Merge from Debian:
    - debian/control: Fix section of libusplash-dev.
    - debian/copyright: Add notice about .bdf files.
    - Only run on stop with splash boot argument.
    - debian/usplash.init: Add dependency info (Petter Reinholdtsen);
      adjusted for Ubuntu.
    - debian/usplash.postinst, debian/usplash.postrm: Check if
      update-initramfs is really installed.
  * Arbitrary version bump to override version 0.4-43-3 which accidentally
    got synced into gutsy, and switch to a native versioning scheme while
    we're at it (LP: #113780).
  * usplash.8: Document -v, -x, and -y options (thanks, James Westby;
    LP: #107537).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 May 2007 09:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
 Standards-Version: 3.6.2.1
-Build-Depends: debhelper (>= 5.0.0), libgd2-dev, libpng-dev, libx86-dev [amd64 i386]
+Build-Depends: debhelper (>= 5.0.0), libgd-dev, libpng-dev, libx86-dev [amd64 i386 lpia]
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/usplash/ubuntu
 
 Package: usplash
@@ -23,6 +23,7 @@
  This package contains the runtime library for the usplash package.
 
 Package: libusplash-dev
+Section: libdevel
 Architecture: any
 Conflicts: usplash-dev
 Replaces: usplash-dev
